document.addEventListener('DOMContentLoaded', function() {
  // Mobile menu toggle
  const menuBtn = document.querySelector('.mobile-menu-btn');
  const navLinks = document.querySelector('.nav-links');

  menuBtn.addEventListener('click', () => {
    navLinks.classList.toggle('active');
    
    // Animate hamburger to X
    const spans = menuBtn.querySelectorAll('span');
    spans.forEach(span => span.classList.toggle('active'));
  });

  // Smooth scroll for navigation links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      const target = document.querySelector(this.getAttribute('href'));
      
      if (target) {
        target.scrollIntoView({
          behavior: 'smooth'
        });
        
        // Close mobile menu if open
        navLinks.classList.remove('active');
      }
    });
  });

  // Form submission handling
  const quoteForm = document.getElementById('quote-form');
  
  quoteForm.addEventListener('submit', function(e) {
    e.preventDefault();
    
    // Simple form validation feedback
    const formElements = quoteForm.elements;
    let isValid = true;
    
    for (let element of formElements) {
      if (element.required && !element.value) {
        isValid = false;
        element.classList.add('error');
      } else {
        element.classList.remove('error');
      }
    }
    
    if (isValid) {
      alert('Grazie per la tua richiesta! Ti contatteremo presto.');
      quoteForm.reset();
    }
  });
});
